package org.herac.tuxguitar.tray;

import org.herac.tuxguitar.gui.TuxGuitar;
import org.herac.tuxguitar.gui.system.plugins.base.TGPluginBase;

public class TGTrayPlugin extends TGPluginBase {

	private boolean loaded;
	private TGTray tray;

	public TGTrayPlugin(){
		super();
	}
	
	public void init(TuxGuitar instance) {
		this.tray = new TGTray(instance);
	}
	public void close() {
		this.removePluin();
	}
	
	public void setEnabled(boolean enabled) {
		if(enabled){
			this.addPluin();
		}else{
			this.removePluin();
		}
	}

	protected void addPluin(){
		if(!this.loaded){
			this.tray.addTray();
			this.loaded = true;
		}
	}
	
	protected void removePluin(){		
		if(this.loaded){
			this.tray.removeTray();
			this.loaded = false;
		}
	}

	public String getAuthor() {
		return "Julian Casadesus <julian@casadesus.com.ar>";
	}

	public String getName() {
		return "System Tray plugin";
	}

	public String getDescription() {		
		return "System Tray plugin for tuxguitar";
	}
		
	public String getVersion() {
		return "1.0-rc1";
	}
}
